This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 840206 - (CVE-2012-1955) CVE-2012-1955 Mozilla: Spoofing issue with location (MFSA 2012-45)
CVE-2012-1955 Mozilla: Spoofing issue with location (MFSA 2012-45)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120717,repor...
: Security
Depends On:
Blocks: 835033
  Show dependency treegraph
 
Reported: 2012-07-14 07:47 EDT by Huzaifa S. Sidhpurwala
Modified: 2012-07-18 03:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-18 03:30:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-07-14 07:47:57 EDT
Security researcher Mariusz Mlynski reported an issue with spoofing of the location property. In this issue, calls to history.forward and history.back are used to navigate to a site while displaying the previous site in the addressbar but changing the baseURI to the newer site. This can be used for phishing by allowing the user input form or other data on the newer, attacking, site while appearing to be on the older, displayed site.

Reference:
http://www.mozilla.org/security/announce/2012/mfsa2012-45.html

Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue.  Upstream acknowledges Security researcher Mariusz Mlynski as the original reporter of this issue.
Comment 1 errata-xmlrpc 2012-07-17 14:57:43 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1089 https://rhn.redhat.com/errata/RHSA-2012-1089.html
Comment 2 errata-xmlrpc 2012-07-17 15:28:07 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1088 https://rhn.redhat.com/errata/RHSA-2012-1088.html

Note You need to log in before you can comment on or make changes to this bug.